Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin.hawk
Class HawkReturn

    java.lang.Object
      com.tibco.tibjms.admin.hawk.HawkReturn

    public class HawkReturn

extends java.lang.Object

This class encapsulates a return value for a hawk method. It allows for incrementally building the return struct, and provides type checking and checks for null.

Constructor Summary
`HawkReturn(HawkParser _parser, MethodDescriptor _desc)` Returns an empty returnvalue for the given method.

Method Summary
`HawkReturn` | `addOneValue(java.lang.Object value)` Convenience function for methods that return a single value.
`HawkReturn` | `addValue(java.lang.String name, boolean value)` Convenience function to add boolean values.
`HawkReturn` | `addValue(java.lang.String name, double value)` Convenience function to add double values.
`HawkReturn` | `addValue(java.lang.String name, int value)` Convenience function to add integer values.
`HawkReturn` | `addValue(java.lang.String name, long value)` Convenience function to add long values.
`HawkReturn` | `addValue(java.lang.String name, java.lang.Object value)` Add an element of the return value.
`CompositeData` | `returnValue()` Construct the actual COM.TIBCO.hawk.talon.CompositeData object that will be returned from the hawk method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HawkReturn

    public HawkReturn(HawkParser _parser,
                      MethodDescriptor _desc)
               throws MicroAgentException

  Returns an empty returnvalue for the given method.

  Throws:
    `MicroAgentException`

Method Detail

### addValue

    public HawkReturn addValue(java.lang.String name,
                               java.lang.Object value)
                        throws MicroAgentException

  Add an element of the return value.

  Throws:
    `MicroAgentException`

### addOneValue

    public HawkReturn addOneValue(java.lang.Object value)
                           throws MicroAgentException

  Convenience function for methods that return a single value.

  Throws:
    `MicroAgentException`

### returnValue

    public CompositeData returnValue()
                              throws MicroAgentException

  Construct the actual COM.TIBCO.hawk.talon.CompositeData object that will be returned from the hawk method.

  Throws:
    `MicroAgentException`

### addValue

    public HawkReturn addValue(java.lang.String name,
                               int value)
                        throws MicroAgentException

  Convenience function to add integer values.

  Throws:
    `MicroAgentException`

### addValue

    public HawkReturn addValue(java.lang.String name,
                               long value)
                        throws MicroAgentException

  Convenience function to add long values.

  Throws:
    `MicroAgentException`

### addValue

    public HawkReturn addValue(java.lang.String name,
                               boolean value)
                        throws MicroAgentException

  Convenience function to add boolean values.

  Throws:
    `MicroAgentException`

### addValue

    public HawkReturn addValue(java.lang.String name,
                               double value)
                        throws MicroAgentException

  Convenience function to add double values.

  Throws:
    `MicroAgentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved